/[jscoverage]/trunk/selenium/selenium.sh
ViewVC logotype

Annotation of /trunk/selenium/selenium.sh

Parent Directory Parent Directory | Revision Log Revision Log


Revision 262 - (hide annotations)
Mon Oct 6 06:35:53 2008 UTC (11 years, 10 months ago) by siliconforks
File MIME type: application/x-sh
File size: 771 byte(s)
Make tests work on Windows.
1 siliconforks 234 #!/bin/sh
2    
3     set -e
4    
5     trap cleanup 0 1 2 3 15
6    
7     cleanup() {
8     kill $server_pid
9     kill $selenium_server_pid
10     }
11    
12 siliconforks 262 server_is_running() {
13     netstat -a -n | grep -q '\(::\|0\.0\.0\.0\):4444'
14     }
15    
16 siliconforks 234 java -cp build Server ../doc/instrumented > server.out 2> server.err &
17     server_pid=$!
18    
19     java -jar selenium-server.jar -multiWindow > selenium.out 2> selenium.err &
20     selenium_server_pid=$!
21    
22     # wait for the HTTP server to start
23 siliconforks 262 while ! server_is_running
24 siliconforks 234 do
25     sleep 0.1
26     done
27    
28     # wait for the selenium server to start
29 siliconforks 262 while ! server_is_running
30 siliconforks 234 do
31     sleep 0.1
32     done
33    
34 siliconforks 262 uname=`uname`
35     case "$uname" in
36     CYGWIN* | MINGW*)
37     separator=';'
38     ;;
39     *)
40     separator=':'
41     ;;
42     esac
43    
44     java -cp "junit.jar${separator}selenium-java-client-driver.jar${separator}build" junit.textui.TestRunner JSCoverageTest

Properties

Name Value
svn:executable *

  ViewVC Help
Powered by ViewVC 1.1.24